Type to search.

Update user settings for a deployment resource

Auth

Replaces the component-level user-defined settings for the specified resource kind in the deployment. All existing component-level user settings are overwritten with the provided values. Submitting an empty object will remove all component-level user settings for the resource. This endpoint does not support tier/topology-level user settings overrides.

Path parameters

deployment_id string required

Identifier for the Deployment

resource_kind enum required

The kind of resource

Values: elasticsearch kibana apm appsearch enterprise_search integrations_server
ref_id string required

User-specified RefId for the Resource (or '_main' if there is only one)

Request body

The user settings to apply to the deployment resource. Replaces all existing user settings.

user_settings object required

A JSON object containing the user settings for the resource. Replaces all existing user settings when submitted via PUT.

Responses

The updated user settings for the deployment resource

application/json
user_settings object required

A JSON object containing the user settings for the resource. Replaces all existing user settings when submitted via PUT.